// package: bet.beteran.c2se.member_bank_deposit
// file: c2se/member_bank_deposit.proto

import * as jspb from "google-protobuf";
import * as protobuf_rpc_pb from "../protobuf/rpc_pb";
import * as protobuf_pagination_pb from "../protobuf/pagination_pb";
import * as models_member_bank_deposit_pb from "../models/member_bank_deposit_pb";

export class CreateMemberBankDepositRequest extends jspb.Message {
  getName(): string;
  setName(value: string): void;

  getAmount(): number;
  setAmount(value: number): void;

  hasMemo(): boolean;
  clearMemo(): void;
  getMemo(): string;
  setMemo(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateMemberBankDepositRequest.AsObject;
  static toObject(includeInstance: boolean, msg: CreateMemberBankDepositRequest): CreateMemberBankDepositRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: CreateMemberBankDepositRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): CreateMemberBankDepositRequest;
  static deserializeBinaryFromReader(message: CreateMemberBankDepositRequest, reader: jspb.BinaryReader): CreateMemberBankDepositRequest;
}

export namespace CreateMemberBankDepositRequest {
  export type AsObject = {
    name: string,
    amount: number,
    memo: string,
  }
}

export class CreateMemberBankDepositResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): CreateMemberBankDepositResponse.Result | undefined;
  setResult(value?: CreateMemberBankDepositResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateMemberBankDepositResponse.AsObject;
  static toObject(includeInstance: boolean, msg: CreateMemberBankDepositResponse): CreateMemberBankDepositResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: CreateMemberBankDepositResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): CreateMemberBankDepositResponse;
  static deserializeBinaryFromReader(message: CreateMemberBankDepositResponse, reader: jspb.BinaryReader): CreateMemberBankDepositResponse;
}

export namespace CreateMemberBankDepositResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: CreateMemberBankDepositResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    hasMemberBankDeposit(): boolean;
    clearMemberBankDeposit(): void;
    getMemberBankDeposit(): models_member_bank_deposit_pb.MemberBankDeposit | undefined;
    setMemberBankDeposit(value?: models_member_bank_deposit_pb.MemberBankDeposit): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberBankDeposit?: models_member_bank_deposit_pb.MemberBankDeposit.AsObject,
    }
  }
}

export class ListMemberBankDepositsRequest extends jspb.Message {
  hasPagination(): boolean;
  clearPagination(): void;
  getPagination(): protobuf_pagination_pb.Pagination | undefined;
  setPagination(value?: protobuf_pagination_pb.Pagination): void;

  clearSortsList(): void;
  getSortsList(): Array<protobuf_pagination_pb.Sort>;
  setSortsList(value: Array<protobuf_pagination_pb.Sort>): void;
  addSorts(value?: protobuf_pagination_pb.Sort, index?: number): protobuf_pagination_pb.Sort;

  hasSearch(): boolean;
  clearSearch(): void;
  getSearch(): ListMemberBankDepositsRequest.Search | undefined;
  setSearch(value?: ListMemberBankDepositsRequest.Search): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): ListMemberBankDepositsRequest.AsObject;
  static toObject(includeInstance: boolean, msg: ListMemberBankDepositsRequest): ListMemberBankDepositsRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: ListMemberBankDepositsRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): ListMemberBankDepositsRequest;
  static deserializeBinaryFromReader(message: ListMemberBankDepositsRequest, reader: jspb.BinaryReader): ListMemberBankDepositsRequest;
}

export namespace ListMemberBankDepositsRequest {
  export type AsObject = {
    pagination?: protobuf_pagination_pb.Pagination.AsObject,
    sortsList: Array<protobuf_pagination_pb.Sort.AsObject>,
    search?: ListMemberBankDepositsRequest.Search.AsObject,
  }

  export class Search extends jspb.Message {
    hasMemberId(): boolean;
    clearMemberId(): void;
    getMemberId(): string;
    setMemberId(value: string): void;

    hasNameLike(): boolean;
    clearNameLike(): void;
    getNameLike(): string;
    setNameLike(value: string): void;

    hasAmount(): boolean;
    clearAmount(): void;
    getAmount(): number;
    setAmount(value: number): void;

    hasMemoLike(): boolean;
    clearMemoLike(): void;
    getMemoLike(): string;
    setMemoLike(value: string): void;

    hasState(): boolean;
    clearState(): void;
    getState(): models_member_bank_deposit_pb.MemberBankDepositStateMap[keyof models_member_bank_deposit_pb.MemberBankDepositStateMap];
    setState(value: models_member_bank_deposit_pb.MemberBankDepositStateMap[keyof models_member_bank_deposit_pb.MemberBankDepositStateMap]): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Search.AsObject;
    static toObject(includeInstance: boolean, msg: Search): Search.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Search, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Search;
    static deserializeBinaryFromReader(message: Search, reader: jspb.BinaryReader): Search;
  }

  export namespace Search {
    export type AsObject = {
      memberId: string,
      nameLike: string,
      amount: number,
      memoLike: string,
      state: models_member_bank_deposit_pb.MemberBankDepositStateMap[keyof models_member_bank_deposit_pb.MemberBankDepositStateMap],
    }
  }
}

export class ListMemberBankDepositsResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): ListMemberBankDepositsResponse.Result | undefined;
  setResult(value?: ListMemberBankDepositsResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): ListMemberBankDepositsResponse.AsObject;
  static toObject(includeInstance: boolean, msg: ListMemberBankDepositsResponse): ListMemberBankDepositsResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: ListMemberBankDepositsResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): ListMemberBankDepositsResponse;
  static deserializeBinaryFromReader(message: ListMemberBankDepositsResponse, reader: jspb.BinaryReader): ListMemberBankDepositsResponse;
}

export namespace ListMemberBankDepositsResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: ListMemberBankDepositsResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    clearMemberBankDepositsList(): void;
    getMemberBankDepositsList(): Array<models_member_bank_deposit_pb.MemberBankDeposit>;
    setMemberBankDepositsList(value: Array<models_member_bank_deposit_pb.MemberBankDeposit>): void;
    addMemberBankDeposits(value?: models_member_bank_deposit_pb.MemberBankDeposit, index?: number): models_member_bank_deposit_pb.MemberBankDeposit;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberBankDepositsList: Array<models_member_bank_deposit_pb.MemberBankDeposit.AsObject>,
    }
  }
}

export class GetMemberBankDepositRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberBankDepositRequest.AsObject;
  static toObject(includeInstance: boolean, msg: GetMemberBankDepositRequest): GetMemberBankDepositRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: GetMemberBankDepositRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberBankDepositRequest;
  static deserializeBinaryFromReader(message: GetMemberBankDepositRequest, reader: jspb.BinaryReader): GetMemberBankDepositRequest;
}

export namespace GetMemberBankDepositRequest {
  export type AsObject = {
    id: string,
  }
}

export class GetMemberBankDepositResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): GetMemberBankDepositResponse.Result | undefined;
  setResult(value?: GetMemberBankDepositResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberBankDepositResponse.AsObject;
  static toObject(includeInstance: boolean, msg: GetMemberBankDepositResponse): GetMemberBankDepositResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: GetMemberBankDepositResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberBankDepositResponse;
  static deserializeBinaryFromReader(message: GetMemberBankDepositResponse, reader: jspb.BinaryReader): GetMemberBankDepositResponse;
}

export namespace GetMemberBankDepositResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: GetMemberBankDepositResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    hasMemberBankDeposit(): boolean;
    clearMemberBankDeposit(): void;
    getMemberBankDeposit(): models_member_bank_deposit_pb.MemberBankDeposit | undefined;
    setMemberBankDeposit(value?: models_member_bank_deposit_pb.MemberBankDeposit): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberBankDeposit?: models_member_bank_deposit_pb.MemberBankDeposit.AsObject,
    }
  }
}

export class UpdateMemberBankDepositRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getName(): string;
  setName(value: string): void;

  getAmount(): number;
  setAmount(value: number): void;

  hasMemo(): boolean;
  clearMemo(): void;
  getMemo(): string;
  setMemo(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberBankDepositRequest.AsObject;
  static toObject(includeInstance: boolean, msg: UpdateMemberBankDepositRequest): UpdateMemberBankDepositRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: UpdateMemberBankDepositRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberBankDepositRequest;
  static deserializeBinaryFromReader(message: UpdateMemberBankDepositRequest, reader: jspb.BinaryReader): UpdateMemberBankDepositRequest;
}

export namespace UpdateMemberBankDepositRequest {
  export type AsObject = {
    id: string,
    name: string,
    amount: number,
    memo: string,
  }
}

export class UpdateMemberBankDepositResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): UpdateMemberBankDepositResponse.Result | undefined;
  setResult(value?: UpdateMemberBankDepositResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberBankDepositResponse.AsObject;
  static toObject(includeInstance: boolean, msg: UpdateMemberBankDepositResponse): UpdateMemberBankDepositResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: UpdateMemberBankDepositResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberBankDepositResponse;
  static deserializeBinaryFromReader(message: UpdateMemberBankDepositResponse, reader: jspb.BinaryReader): UpdateMemberBankDepositResponse;
}

export namespace UpdateMemberBankDepositResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: UpdateMemberBankDepositResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    hasMemberBankDeposit(): boolean;
    clearMemberBankDeposit(): void;
    getMemberBankDeposit(): models_member_bank_deposit_pb.MemberBankDeposit | undefined;
    setMemberBankDeposit(value?: models_member_bank_deposit_pb.MemberBankDeposit): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberBankDeposit?: models_member_bank_deposit_pb.MemberBankDeposit.AsObject,
    }
  }
}

export class UpdateMemberBankDepositForStateRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getState(): models_member_bank_deposit_pb.MemberBankDepositStateMap[keyof models_member_bank_deposit_pb.MemberBankDepositStateMap];
  setState(value: models_member_bank_deposit_pb.MemberBankDepositStateMap[keyof models_member_bank_deposit_pb.MemberBankDepositStateMap]): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberBankDepositForStateRequest.AsObject;
  static toObject(includeInstance: boolean, msg: UpdateMemberBankDepositForStateRequest): UpdateMemberBankDepositForStateRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: UpdateMemberBankDepositForStateRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberBankDepositForStateRequest;
  static deserializeBinaryFromReader(message: UpdateMemberBankDepositForStateRequest, reader: jspb.BinaryReader): UpdateMemberBankDepositForStateRequest;
}

export namespace UpdateMemberBankDepositForStateRequest {
  export type AsObject = {
    id: string,
    state: models_member_bank_deposit_pb.MemberBankDepositStateMap[keyof models_member_bank_deposit_pb.MemberBankDepositStateMap],
  }
}

export class UpdateMemberBankDepositForStateResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): UpdateMemberBankDepositForStateResponse.Result | undefined;
  setResult(value?: UpdateMemberBankDepositForStateResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberBankDepositForStateResponse.AsObject;
  static toObject(includeInstance: boolean, msg: UpdateMemberBankDepositForStateResponse): UpdateMemberBankDepositForStateResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: UpdateMemberBankDepositForStateResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberBankDepositForStateResponse;
  static deserializeBinaryFromReader(message: UpdateMemberBankDepositForStateResponse, reader: jspb.BinaryReader): UpdateMemberBankDepositForStateResponse;
}

export namespace UpdateMemberBankDepositForStateResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: UpdateMemberBankDepositForStateResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    hasMemberBankDeposit(): boolean;
    clearMemberBankDeposit(): void;
    getMemberBankDeposit(): models_member_bank_deposit_pb.MemberBankDeposit | undefined;
    setMemberBankDeposit(value?: models_member_bank_deposit_pb.MemberBankDeposit): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberBankDeposit?: models_member_bank_deposit_pb.MemberBankDeposit.AsObject,
    }
  }
}

export class DeleteMemberBankDepositRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteMemberBankDepositRequest.AsObject;
  static toObject(includeInstance: boolean, msg: DeleteMemberBankDepositRequest): DeleteMemberBankDepositRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: DeleteMemberBankDepositRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DeleteMemberBankDepositRequest;
  static deserializeBinaryFromReader(message: DeleteMemberBankDepositRequest, reader: jspb.BinaryReader): DeleteMemberBankDepositRequest;
}

export namespace DeleteMemberBankDepositRequest {
  export type AsObject = {
    id: string,
  }
}

export class DeleteMemberBankDepositResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): DeleteMemberBankDepositResponse.Result | undefined;
  setResult(value?: DeleteMemberBankDepositResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteMemberBankDepositResponse.AsObject;
  static toObject(includeInstance: boolean, msg: DeleteMemberBankDepositResponse): DeleteMemberBankDepositResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: DeleteMemberBankDepositResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DeleteMemberBankDepositResponse;
  static deserializeBinaryFromReader(message: DeleteMemberBankDepositResponse, reader: jspb.BinaryReader): DeleteMemberBankDepositResponse;
}

export namespace DeleteMemberBankDepositResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: DeleteMemberBankDepositResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
    }
  }
}

